.events {
  height: 100%;
  display: flex;
  overflow: hidden;
  margin-top: 2rem;
  position: relative;
  scroll-snap-align: start;
  padding-top: var(--header-height);
}

.events__body {
  z-index: 2;
  display: flex;
  min-width: 100%;
  max-width: 100%;
  position: relative;
  padding: 4rem 4rem 0;
  box-sizing: border-box;
  flex-direction: column;
  justify-content: center;
}
@media screen and (min-width: 768px) {
  .events__body {
    padding: 4rem 25% 0;
  }
}
.events__body:before {
  display: block;
  content: '';
  width: 75%;
  z-index: -1;
  position: absolute;
  top: 5%;
  left: 0;
  bottom: 10%;
  background-color: var(--color-decorative);
}

.events__desc {
  font-size: 1.2rem;
  font-weight: 400;
  letter-spacing: 0.18em;
  color: var(--color-secondary);
}

.events__date {
  margin: 0;
  font-weight: 500;
  font-size: 3.2rem;
  letter-spacing: 0.08em;
  color: var(--color-secondary);
  font-family: var(--font-secondary);
}

.events__title {
  font-size: 4rem;
  margin: 1rem 0 0;
  font-weight: 600;
  letter-spacing: 0.04em;
  color: var(--color-secondary);
  font-family: var(--font-secondary);
}

.events__buttons {
  width: 120px;
  display: flex;
  margin: 2.4rem 0 0;
  align-items: center;
  align-self: flex-end;
  justify-content: space-between;
}
.events__button {
  width: 4.8rem;
  height: 4.8rem;
  border-radius: 50%;
  border: var(--color-secondary) 1px solid;
}
.events__button.disabled {
  opacity: 0.25;
  pointer-events: none;
}
.events__button__icon {
  width: 2.4rem;
  height: 0.8rem;
  color: var(--color-secondary);
}
.events__button--next {
  transform: rotate(180deg);
}

.events__images {
  gap: 2rem;
  padding: 2rem;
  display: flex;
  overflow: auto;
  margin: 0 -4rem;
  align-items: center;
  box-sizing: border-box;
  scroll-snap-type: x mandatory;
  justify-content: space-between;
}
@media screen and (min-width: 768px) {
  .events__images {
    margin: 0 -50%;
  }
}

.events__images__item {
  height: 170px;
  min-width: 300px;
  max-width: 300px;
  background: transparent;
  scroll-snap-align: center;
}
@media screen and (min-width: 768px) {
  .events__images__item {
    height: 300px;
    min-width: 450px;
    max-width: 450px;
  }
}
.events__images__item__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(0.75);
  transition: transform 500ms ease;
}
.events__images__item.active .events__images__item__img {
  transform: scale(1);
}

.events__action {
  margin: 1em 0 0;
  font-size: 1.6rem;
  padding: 1em 1.5em;
  align-items: center;
  display: inline-flex;
  align-self: flex-end;
  justify-content: center;
  color: var(--color-secondary);
  background-color: transparent;
  border: var(--color-secondary) 1px solid;
}
.events__action__icon {
  width: 2.5rem;
  height: 2.5rem;
  color: inherit;
  font-weight: 600;
  margin-left: 2.4rem;
}
